/**
 * \file gui/ptm_island_list_window/ptmislandproxymodel.cpp
 * \date 30/5/2017
 * \author Olivier Langella
 * \brief display all ptm islands
 */

/*******************************************************************************
* Copyright (c) 2017 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include "ptmislandproxymodel.h"
#include "ptmislandtablemodel.h"
#include "../../grouping/ptm/ptmgroupingexperiment.h"
#include "../../grouping/ptm/ptmisland.h"
#include <pappsomspp/pappsoexception.h>

PtmIslandProxyModel::PtmIslandProxyModel(PtmIslandListWindow * p_ptm_island_list_window, PtmIslandTableModel* ptm_table_model_p)
{
  _p_ptm_island_list_window = p_ptm_island_list_window;
  _p_ptm_island_table_model = ptm_table_model_p;
}

PtmIslandProxyModel::~PtmIslandProxyModel()
{

}

bool PtmIslandProxyModel::filterAcceptsRow(int source_row,
        const QModelIndex &source_parent) const {
    try {
        //qDebug() << "ProteinTableProxyModel::filterAcceptsRow begin " << source_row;
        PtmIslandSp sp_ptm_island = _p_ptm_island_table_model->getPtmGroupingExperiment()->getPtmIslandList().at(source_row);
        //qDebug() << "ProteinTableProxyModel::filterAcceptsRow protein_match " << source_row;

        if (sp_ptm_island != nullptr) {
            return true;
        }
        return false;
    }

    catch (pappso::PappsoException exception_pappso) {
        //QMessageBox::warning(this,
        //                     tr("Error in ProteinTableModel::acceptRow :"), exception_pappso.qwhat());
        qDebug() << "Error in PtmIslandProxyModel::acceptRow :" << exception_pappso.qwhat();
    }
    catch (std::exception exception_std) {
        //QMessageBox::warning(this,
        //                    tr("Error in ProteinTableModel::acceptRow :"), exception_std.what());
        qDebug() << "Error in PtmIslandProxyModel::acceptRow :" << exception_std.what();
    }

    return true;

    //return true;
}
